Bug 667343 - [abrt] gramps-3.2.5-1.fc14: EmbedPrivate::Realize: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
Summary: [abrt] gramps-3.2.5-1.fc14: EmbedPrivate::Realize: Process /usr/bin/python wa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gramps
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:201fa58b3134904b75e6834d032...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-05 10:23 UTC by Retlaw Dlawso
Modified: 2012-11-09 15:27 UTC (History)
3 users (show)

Fixed In Version: gramps-3.2.6-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-09 03:58:34 UTC


Attachments (Terms of Use)
File: backtrace (64.31 KB, text/plain)
2011-01-05 10:23 UTC, Retlaw Dlawso
no flags Details

Description Retlaw Dlawso 2011-01-05 10:23:45 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python -O /usr/share/gramps/gramps.py
comment: just made a first retrieving tour through the program
component: gramps
crash_function: EmbedPrivate::Realize
executable: /usr/bin/python
kernel: 2.6.35.10-74.fc14.x86_64
package: gramps-3.2.5-1.fc14
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1294221149
uid: 500

How to reproduce
-----
1. don't know
2.
3.

Comment 1 Retlaw Dlawso 2011-01-05 10:23:55 UTC
Created attachment 471832 [details]
File: backtrace

Comment 2 Retlaw Dlawso 2011-01-05 19:03:44 UTC
Package: gramps-3.2.5-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. open application
2. go to geography
3. push enter


Comment
-----
just made a first retrieving tour through this platform

Comment 3 Retlaw Dlawso 2011-01-13 19:35:41 UTC
Package: gramps-3.2.5-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. abend of platform
2. restart of platform after 1.
3. anew crash


Comment
-----
restart of platform after a first crash

Comment 4 Fedora Update System 2011-05-02 18:42:06 UTC
gramps-3.2.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gramps-3.2.6-1.fc15

Comment 5 Fedora Update System 2011-05-02 18:47:12 UTC
gramps-3.2.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gramps-3.2.6-1.fc14

Comment 6 Fedora Update System 2011-05-02 18:55:00 UTC
gramps-3.2.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gramps-3.2.6-1.fc13

Comment 7 Fedora Update System 2011-05-03 04:27:20 UTC
Package gramps-3.2.6-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gramps-3.2.6-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gramps-3.2.6-1.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-05-09 03:58:15 UTC
gramps-3.2.6-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-05-13 23:03:26 UTC
gramps-3.2.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-05-13 23:15:40 UTC
gramps-3.2.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Chris Wilson 2012-11-09 15:27:31 UTC
For anyone who finds this while looking for solutions to gtkmozembed crashing, the answer is here:

https://bugzilla.mozilla.org/show_bug.cgi?id=358926#c5

gecko embedding requirements include someone telling gecko where to find the libraries they want used. classically this is handled by (running your application through) run-mozilla.sh.


Note You need to log in before you can comment on or make changes to this bug.